1. YouTube
Narrativ - Public Data API
  • Overview
  • YouTube
    • Get Channel Details
      GET
    • Get Followers Chart
      GET
    • Get Channels by Country
      GET
    • Get Social Volume
      GET
    • Get Video Details
      GET
  • Telegram
    • Get Channel Details
      GET
    • Get Social Volume
      GET
    • Get Post Details
      GET
  • X
    • Get Profile Details
      GET
    • Get Followers Chart
      GET
    • Get Social Volume
      GET
    • Get Post Details
      GET
    • Get Profile Cashtags
      GET
    • Get Profile Hashtags
      GET
    • Get Top Tweets
      GET
  • Universal
    • Account Content
      GET
    • Get Usage
      GET
  • Influencers
    • Get Influencer Categories
      GET
  1. YouTube

Get Followers Chart

GET
https://api.narrativ.tech/functions/v1/youtube-followers
Returns a time series of subscriber counts for a YouTube channel over a given date range. Data is aggregated into daily, weekly, or monthly buckets. Optionally includes period-over-period growth percentage.
Ideal for rendering line charts showing follower growth over time.
Notes:
If start_date, end_date, and interval are all omitted, the endpoint returns daily data for the last month.
If end_date is omitted, it defaults to today.
If end_date is provided, start_date is required.
If the requested interval is too coarse for the date range (e.g., month for a 2-week period), the system automatically downgrades to the smallest supported interval (day)
Similar Endpoints:
https://docs.narrativ.tech/get-followers-chart-23961466e0
https://docs.narrativ.tech/get-followers-chart-23765752e0

Request

Authorization
Add parameter in header
api-key
Example:
api-key: ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Wrong Params - Start Date after End date
🟠400Wrong Params - End date before Start date
🟠400Wrong Params - Missing Start date
🟠400Wrong Params - Missing Identifier
🟠400Wrong Params - Invalid interval
🟠401Unauthorized - Missing Auth Token
🟠401Unauthorized - Invalid Key
🟠404Invalid Identifier
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.narrativ.tech/functions/v1/youtube-followers?handle=&account_id=UCxfUrY98I_AYvzW_g-04VTg&start_date=undefined&end_date=undefined&interval=undefined&page_size=undefined&page_offset=undefined&show_growth=undefined' \
--header 'api-key: <api-key>'
Response Response Example
200 - Success - Followers Historical data
{
    "data": [
        {
            "date": "2026-05-15",
            "value": 18300
        },
        {
            "date": "2026-05-14",
            "value": 18300
        },
        {
            "date": "2026-05-13",
            "value": 18300
        },
        {
            "date": "2026-05-12",
            "value": 18300
        },
        {
            "date": "2026-05-11",
            "value": 18300
        }
    ],
    "pagination": {
        "totalRecords": 31,
        "totalPages": 2,
        "currentPage": 1,
        "pageSize": 25,
        "hasNextPage": true,
        "hasPreviousPage": false
    }
}
Previous
Get Channel Details
Next
Get Channels by Country
Built with